/* **********************************************************
 * SECTION COLUMN STYLES
 * ******************************************************** */
 

/* *****************************
 * SEARCH BAR ROW - like on Blog, Blog Category, Shop
 * *************************** */
.search-col, 
.search-col .site-search,
.search-col .jet-search, 
.search-col .jet-ajax-search,
.search-col .jet-ajax-search__form,
.view-all-col,
.btn-archive-view-all a {
    height: 100% !important;
    width: 100%;	
}
.btn-archive-view-all .elementor-button-wrapper,
.btn-archive-view-all .ha-creative-btn-wrap {
	display: flex;
    width: 100%;
}


/* *****************************
 * PARALLAX SECTION BACKGROUND
 * *************************** */
.section-bg-parallax {
	/* Adjust the Effect */
    transform: translateZ(-1px) scale(1.15); 
    background-position: center !important;
    position: absolute;
}


/* *****************************
 * FIXED BACKGROUND - OVERRIDE SO ALSO FIXED ON MOBILE
 * Add the class bg-fixed to the section - adjust as needed
 * *************************** */
.bg-fixed,
.bg-fixed .elementor-background-overlay,
.bg-fixed:before {
    background-attachment: fixed !important;
    transform: translateZ(1);
}
.ios .bg-fixed,
.ios .bg-fixed .elementor-background-overlay,
.ios .bg-fixed:before {
    background-attachment: scroll !important;
    transform: translateZ(0); /* This can help with rendering */
}
html:not(.ios) .bg-fixed,
html:not(.ios) .bg-fixed .elementor-background-overlay,
html:not(.ios) .bg-fixed:before {
    background-attachment: fixed !important;
}
@media (max-width: 1040px) {
	.mac .bg-fixed,
	.mac .bg-fixed .elementor-background-overlay,
	.mac .bg-fixed:before,
	.ios .bg-fixed,
	.ios .bg-fixed .elementor-background-overlay,
	.ios .bg-fixed:before {
		background-attachment: scroll !important;
		transform: translateZ(0);
		background-size: conver !important;
		background-repeat: no-repeat !important;
	}
}


/* ******************************
 * FIXED BACKGROUND - APPLE LANDSCAPE TWEAK
 * *************************** */
/* SAFARI */
@media only screen and (orientation: landscape) {
    .e--ua-appleWebkit.e--ua-safari .elementor-element.e-con::before {
        background-attachment: intial !important;
    }
}

/* OTHERS */
@media only screen and (orientation: landscape) {
    .e--ua-appleWebkit .elementor-element.e-con::before {
       background-attachment: initial !important;
    }
}


/* *****************************
 * COLUMN GRADIENT - use col-hover and colorX class on the column and change colors below, can add extra classes for different columns w/different colors
 e.g. Z Demo Content Page Custom Hover Image Boxes
 * *************************** */
.col-hover .elementor-widget-wrap.elementor-element-populated {
    background-color: transparent !important;
    background-image: none !important;
	overflow: hidden;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:before,
.col-hover .elementor-widget-wrap.elementor-element-populated:after {
	content: "";
    display: block;
    position: absolute;
	margin: 1px;
    top: -1px;
    left: -1px;
    right: -1px;
    bottom: -1px;
    width: auto;
    height: auto;
	z-index: -1;	
	transition: all .5s ease-out;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:before {
    z-index: -1;
	opacity: 1;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:after {
    z-index: -1;
	opacity: 0;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:hover:before {
	opacity: 0;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:hover:after {
	 opacity: 1;
}
.col-hover.color1 .elementor-widget-wrap.elementor-element-populated:before {
	background-color: #99000050;
    background-image: linear-gradient(180deg, #fff 0%, #99000022 100%);
}
.col-hover.color1 .elementor-widget-wrap.elementor-element-populated:after {
	background-color: #99000050;
    background-image: linear-gradient(180deg, #99000022 0%, #fff 100%);	
}
.col-hover.color2 .elementor-widget-wrap.elementor-element-populated:before {
	background-color: #aaaaaa50;
    background-image: linear-gradient(180deg, #fff 0%, #aaaaaa22 100%);
}
.col-hover.color2 .elementor-widget-wrap.elementor-element-populated:after {
	background-color: #aaaaaa50;
    background-image: linear-gradient(180deg, #aaaaaa22 0%, #fff 100%);	
}


/* *****************************
 * FOR SECTIONS WITH 2 COLS - 1 FULL WIDTH 1 BOXED WIDTH - on Z Demo Content Pg
 * IMPORTANT!!! Change WIDTH BELOW to the TO THE MAX-WIDTH REM ADDED ABOVE in Site Settings > Layout
 * *************************** */
.full-container-boxed-col,
.alt-cols-full-boxed .boxed-col {
	max-width: calc(101.25rem / 2); /* set site boxed width & divide by 2 */
}

@media (max-width: 1024px){
	.full-container-boxed-col,
	.alt-cols-full-boxed .boxed-col {
		max-width: none;
		margin-left: 0;
		margin-right: 0;
	}
}


/* *****************************
 * SECTION CONTENT COLUMNS with INNER SECTION with PADDED COLUMNS 
   e.g. Z Demo Content Page - Services We Offer Cols
 * *************************** */
.section-content-cols.elementor-section.elementor-section-boxed > .elementor-container,
.section-content-cols.elementor-section.elementor-section-boxed > .elementor-container .inner-section-padded-cols .elementor-container {
	max-width: 77rem !important;
}
.inner-section-padded-cols {
    margin-left: -1rem; 
    margin-right: -1rem;	
}

@media (min-width: 1024px) {
	/* Equal Height */
	.section-content-cols .elementor-column.content-col {
		height: 100% !important;
	}
	.section-content-cols .elementor-inner-section .elementor-column-wrap {
		height: 100%;
		flex-direction: column;
	}
	.section-content-cols .inner-section-padded-cols .elementor-widget-wrap {
		height: 100%;
		flex-direction: column;
	}
	.section-content-cols .elementor-widget-icon {
	    margin-top: auto !important;
		padding: 1rem;
	}
}

@media (max-width: 1024px) {
	/* CONTENT COLUMNS */
	.section-content-cols .content-col.last {
		margin: 0 auto;
	}
}


/* *****************************
 * SECTION 3 COL INSET SHADOWS - like Contact
 * *************************** */
.section-3-cols .col1 {
    border-left: 0px solid #333 !important;
    border-right: 1px solid #000 !important; 
}
.section-3-cols .col2 {
    border-left: 1px solid #333 !important;
    border-right: 1px solid #000 !important;    
}
.section-3-cols .col3 {
    border-left: 1px solid #333 !important;
    border-right: 0px solid #000 !important;
}

@media (max-width:768px) {
    .section-3-cols .col1 {
        border-left: 0px solid #444 !important;
        border-right: 0px solid #000 !important; 
        border-top: 1px solid #444 !important; 
        border-bottom: 1px solid #000 !important;         
    }
    .section-3-cols .col2 {
        border-left: 0px solid #444 !important;
        border-right: 0px solid #000 !important;
        border-top: 1px solid #444 !important;        
        border-bottom: 1px solid #000 !important;        
    }
    .section-3-cols .col3 {
        border-left: 0px solid #444 !important;
        border-right: 0px solid #000 !important;  
        border-top: 1px solid #444 !important;         
    }   
}


/* *****************************
 * BIG CENTERED TEXT SECTION
 * *************************** */
.big-centered-text.ha-advanced-heading.ha-align-center .ha-advanced-heading-wrap:before {
    white-space: nowrap;
    text-align: center;
    margin: 0 !important;
    position: absolute !important;
    left: 50% !important;
    transform: translate(-50%, -60%) !important;
}

@media (max-width: 1024px) {
	.big-centered-text.ha-advanced-heading.ha-align-center .ha-advanced-heading-wrap:before {
		white-space: wrap;
	}
}



/* *****************************
 * PORTFOLIO SLIDER
 * *************************** */
/* Adjust the swiper container */
.elementor-image-carousel-wrapper {
    width: 100%;
	overflow: visible !important;
}

/* Adjust swiper slides */
.elementor-image-carousel .swiper-slide {
    opacity: 1;
    overflow: hidden;
    transition: .7s;
}
.elementor-image-carousel .swiper-slide img {
    width: 100%;
}

/* Active slide effect */
.elementor-image-carousel .swiper-slide.swiper-slide-next {
    opacity: 1;
    z-index: 1;
    transform: scale(1.5);
}

@media (max-width: 1024px) {
	/* Active slide effect */
	.elementor-image-carousel .swiper-slide.swiper-slide-next {
	    opacity: 1;
	    z-index: 1;
	    transform: scale(2);
	}
}



/* *****************************
 * CLIENT LOGOS
 * *************************** */
.client-logos .raven-image img {
    max-height: 6rem !important;
    width: auto !important;
}

@media (max-width: 1024px) {
	.client-logos .raven-image img {
		max-height: 5rem !important;
		width: auto !important;
	}
}



/* *****************************
 * TEAM MEMBERS
 * *************************** */
.team-pic .elementor-element .raven-image img {
    height: 100% !important;
    object-fit: cover !important;
    display: block !important;
	max-height: 22rem;	
}
.team-pic .elementor-widget-raven-image,
.team-pic .elementor-widget-container,
.team-pic .raven-image,
.team-pic .raven-image a {
    height: 100% !important;
	max-height: 22rem;	
}


/* *****************************
 * PROJECT LOOP
 * *************************** */
.project-loop .e-loop-item:nth-child(2n),
.project-loop .e-loop-item:nth-child(2n+1) {
  border-bottom: 2px solid #304872 !important; 
} 
.project-loop .elementor-loop-container {
	grid-row-gap: 0 !important;
}
.project-loop .raven-image img {
    max-height: 15rem;
    width: auto;
}

/* FORCE IMAGE FILL DIV */
.project-loop .project-img-wrapper .raven-image {
  position: relative;
  width: 100%;
  height: 100%;
}
.project-loop .project-img-wrapper .raven-image a {
  display: block;
  width: 100%;
  height: 100%;
}
.project-loop .project-img-wrapper .raven-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


@media (max-width: 1024px) {
	.project-loop .elementor-loop-container.elementor-grid {
		grid-auto-rows: unset !important;
	}
}

@media (max-width: 768px) {
	.project-loop .project-img-wrapper {
		width: auto;
	}
}


/* *****************************
 * SERVICE PAGES
 * *************************** */
/* SERVICES BG GRADIENT */
.services-wrapper {
  background: linear-gradient(180deg, #f4f0ed 25%, #dec6b1 25%, #dec6b1 85%, #f4f0ed 85%) !important;    
}